package com.zm.order.tool.server.dao;

import com.zm.order.tool.server.model.OrderIndex;
import com.zm.order.tool.server.model.OrderNoIndex;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author penghui
 */
@Repository
public interface TestOrderIndexDao {

    /**
     * 插入记录
     *
     * @param record
     * @return
     */
    int insert(OrderNoIndex record);

    /**
     * 插入记录
     *
     * @param list
     * @return
     */
    int inserts(List<OrderNoIndex> list);

    /**
     * 查询记录
     *
     * @param orderNo 订单号
     * @return
     */
    OrderNoIndex selectOne(@Param("orderNo") String orderNo);

    /**
     * 更新
     *
     * @param update
     * @return
     */
    int update(OrderNoIndex update);

    /**
     * 删除
     *
     * @param orderNo
     * @param id
     * @param userId
     * @return
     */
    int delete(@Param("id") Long id,
               @Param("orderNo") String orderNo,
               @Param("userId") Long userId);


    /**
     * 查询记录
     *
     * @param lastId
     * @return
     */
    List<OrderIndex> selectList(@Param("lastId") Long lastId);
}
